Refactor tests

Signed-off-by: Pol Henarejos <pol.henarejos@cttc.es>
This commit is contained in:
Pol Henarejos
2023-10-09 00:34:50 +02:00
parent cb1bba4f13
commit c44d7db4e1
5 changed files with 102 additions and 97 deletions

View File

@@ -1,13 +1,23 @@
#!/bin/bash
echo -n "Test initialization..."
source ./tests/scripts/func.sh
echo "==== Test initialization ===="
./tests/scripts/initialize.sh
test $? -eq 0 && echo -e '\tok' || (echo -e '\tfail' && exit 1)
test $? -eq 0 || {
echo -e "\t${FAIL}"
exit 1
}
echo -n "Test keygen..."
echo "==== Test keygen ===="
./tests/scripts/keygen.sh
test $? -eq 0 && echo -e '\tok' || (echo -e '\tfail' && exit 1)
test $? -eq 0 || {
echo -e "\t${FAIL}"
exit 1
}
echo -n "Test sign and verify..."
echo "==== Test sign and verify ===="
./tests/scripts/sign_and_verify.sh
test $? -eq 0 && echo -e '\tok' || (echo -e '\tfail' && exit 1)
test $? -eq 0 || {
echo -e "\t${FAIL}"
exit 1
}